# $Revision: 1.23 $, $Date: 2009/10/28 09:28:37 $
Summary:	Archive and compress old email
Summary(pl.UTF-8):	Archiwizowanie starej poczty
Name:		archivemail
Version:	0.7.2
Release:	2
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/archivemail/%{name}-%{version}.tar.gz
# Source0-md5:	e444424688e6ec063e829176e4eb62e2
Patch0:		%{name}-add-archive-name-switch.patch
Patch1:		%{name}-empty-mailbox-objects-fix.patch
Patch2:		%{name}-fix-path-in-example.patch
Patch3:		%{name}-preserve-symlinks.patch
Patch4:		%{name}-add-prefix-switch.patch
Patch5:		%{name}-add-archive-all-switch.patch
Patch6:		%{name}-relax-timestamps-test.patch
URL:		http://archivemail.sourceforge.net/
BuildRequires:	python-devel >= 2.0
%pyrequires_eq	python
# for warnings.py
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Archivemail is a tool written in Python for archiving and compressing
old email in mailboxes.

It can move messages older than the specified number of days to a
separate 'archive' mbox-format mailbox that is compressed with 'gzip'.

For example, have you been subscribing to the 'linux-kernel' mailing
list for the last 6 years and ended up with an 160-meg mailbox that
Mutt is taking a long time to load? Archivemail can move all messages
that are older than 6 months to a separate compressed mailbox, and
leave you with just the most recent messages.

It supports IMAP, Maildir, MH and mbox-format mailboxes.

%description -l pl.UTF-8
Archivemail jest, napisanym w języku Python, narzędziem służącym
archiwizowaniu i kompresowaniu starej poczty.

Za pomocą programu można przenosić wiadomości starsze niż określona
liczba dni do oddzielnej skrzynki w formacie mbox, która jest
kompresowana przy użyciu programu 'gzip'.

Przykładowo, ktoś jest od 6 lat zapisany na listę 'linux-kernel' i
jego skrzynka zajmuje już ponad 160MB, a jej otwarcie trwa trochę
czasu. Archivemail może przenieść wszystkie wiadomości, powiedzmy
sprzed 6 miesięcy, do oddzielnej, skompresowanej skrzynki, zostawiając
tylko najnowsze listy.

Archivemail potrafi zapisywać i odczytywać następujące formaty
skrzynek pocztowych: IMAP, Maildir, MH oraz mbox.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%{__sed} -i -e 's,man/man1,%{_mandir}/man1,' setup.py

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}
%{__python} setup.py install \
	--prefix=%{_prefix} \
	--root=$RPM_BUILD_ROOT

# Not a Python module, so drop the egg.
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/*.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG FAQ README TODO
%attr(755,root,root) %{_bindir}/archivemail
%{_mandir}/man1/archivemail.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: archivemail.spec,v $
Revision 1.23  2009/10/28 09:28:37  glen
- In python 2.5, mailbox objects evaluate to false when empty.
  Avoid an assertian when this happens. Closes Debian: #476806
- add more patches from debian, rel 2

Revision 1.22  2008/05/20 20:15:41  adamg
- updated to 0.7.2

Revision 1.21  2008-05-18 16:19:26  adamg
- previous commit reverted (mistake)

Revision 1.19  2007-09-18 10:54:09  glen
- bugfix for empty emails (thx jajcus for helping tracing it down)
- rel 2

Revision 1.18  2007/08/28 13:58:32  glen
- update to 0.7.0

Revision 1.17  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:38  baggins
- converted to UTF-8

Revision 1.15  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.14  2004/12/23 16:28:45  saq
- release 3 for rebuild with python 2.4

Revision 1.13  2004/11/27 23:15:22  glen
- drop warning under py2.3
- require python-modules for warnings module
- rel 2
- STBR

Revision 1.12  2004/08/30 14:21:27  ankry
- formatting, pl fixes

Revision 1.11  2004/08/30 14:18:06  snurf
- typo

Revision 1.10  2004/07/28 08:03:13  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.9  2003/08/13 20:58:10  adamg
- aieee, previous BR wasn't really needed, thanks wrobell

Revision 1.8  2003/08/13 16:20:12  adamg
- BR: python-devel < 2.3

Revision 1.7  2003/08/06 16:13:44  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.6  2003/05/26 16:24:45  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:45:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/25 11:18:20  qboosh
- working Source URL

Revision 1.3  2003/02/13 15:36:16  wrobell
- summaries and descriptions fixes

Revision 1.2  2003/02/12 23:09:36  ankry
- added %doc

Revision 1.1  2003/02/12 22:46:38  grzegol
- spec by Adam Gołębiowski <adamg@biomerieux.pl>
- adapterized
